Page MenuHomePhabricator

Figure out the correct way to trigger the Article Reminder event for all notification types
Closed, InvalidPublic

Event Timeline

Eee888 created this task.Jun 8 2017, 5:15 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJun 8 2017, 5:15 PM

By 'notification types', do you mean 'web' and 'email'? (The terminology here is poorly standardized, but you can call it a "notification method" or "delivery method". Notification type is something else).

I think this will Just Work.

By default, all notification types (e.g. mention, user talk, reverted, etc.) support both web and email. You trigger once with EchoEvent::create() (after defining the model), and Echo takes care of the delivery.

"Needs Review" means there is an associated patch.

I don't think there's a patch for this, but I don't think there needs to be. You can probably close this as Invalid, but if not please clarify the status.

Mvolz removed a subscriber: Mvolz.Jun 21 2017, 1:05 AM
Schnark removed a subscriber: Schnark.Jun 21 2017, 6:42 AM
Mattflaschen-WMF closed this task as Invalid.Aug 4 2017, 4:26 PM